ToolzerHub Docs

List global top websites (v1)

Returns Similarweb's current global top 50 websites with rank movement, category, visit duration, pages per visit and bounce rate. The response states the monthly snapshot date.

1 credit / requestBilled only on success
GET
/v1/similarweb/top-websites

Authorization

ApiKeyAuth
x-api-key<token>

In: header

curl -X GET "https://example.com/v1/similarweb/top-websites" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "snapshot_date": "string",    "scope": "global",    "sites": [      {        "rank": 1,        "domain": "string",        "icon_url": "string",        "rank_change": 0,        "category_id": "string",        "average_visit_duration": "string",        "pages_per_visit": 0,        "bounce_rate": 0,        "new_to_ranking": true      }    ],    "count": 0  },  "details": {    "reason": "no_results",    "message": "string"  }}